<?
//Автор: DjBoBaH 
//Сайт: http://my-perm.net 
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include $_SERVER['DOCUMENT_ROOT']."/anti_ hacker.php"; 
$set['title']='Топ сообществ'; // заголовок страницы
include_once '../sys/inc/thead.php';
echo '<div class="main_menu">';
title();echo "</div>\n";
echo '<div class="rekl_main">';
aut();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

echo'<img src="img/open.png" alt="open"/> - Открытые для вступления<br/>';
echo'<img src="img/close.png" alt="close"/> - Закрытые для вступления<br/>';
echo'<img src="img/money.png" alt="money"/> - Вступление платное(за баллы)<br/>';




echo '<table class="post">';
if ($k_post==0)
{
echo '<tr>';
echo '<td class="p_t">';
echo 'Нет сообществ';
echo '</td>';
echo '</tr>';
}
$q=mysql_query("SELECT * FROM `soo` ORDER BY `users` DESC LIMIT $start, $set[p_str]");
while ($comm = mysql_fetch_assoc($q))
{
$razdel=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo_cat` WHERE `id` = '$comm[id_cat]' LIMIT 1"));
echo '<tr>';
echo '<td class="icon14">';
if($comm['konf_soo']==0 || $comm['konf_soo']==1)echo'<img src="img/open.png" alt="open"/>'; elseif($comm['konf_soo']==2)echo'<img src="img/money.png" alt="money"/>'; else echo'<img src="img/close.png" alt="close"/>';
echo '</td>';
echo '<td class="p_t">';
echo '<a href="/soo/'.$comm['id'].'">'.filter_var($comm['name'], FILTER_SANITIZE_SPECIAL_CHARS).'</a>';
if($comm['ban']!=NULL && $comm['ban']>$time)echo'[BAN]';
$count = $comm['users']+1;
echo'(Участников: '.$count.')';
echo '</td>';
echo '</tr>';
echo '<tr>';
echo '<td class="p_m" colspan="2">';


echo '<span class="ank_n">Описание:</span> <span class="ank_d">'.output_text($comm['desc']).'</span><br />';
echo '<span class="ank_n">Раздел:</span> <a href="index.php?r='.$razdel['id'].'">'.filter_var($razdel['name'], FILTER_SANITIZE_SPECIAL_CHARS).'</a><br/>';
$admid=get_user($comm['admid']);
if(isset($user) && $user['level']>=3 && $user['id']!=$comm['admid'] && $user['level']>$admid['level'])
{
echo'[<a href="ban.php?s='.$comm['id'].'">Нарушения</a>]';
}
if(isset($user) && $user['level']>3 && ($user['id']!=$comm['admid'] && $user['level']>$admid['level'] || $user['id']==$comm['admid']))
{
echo'[<a href="?r='.$r.'&del='.$comm['id'].'">Удалить соо</a>]';
}

echo '</td>';
echo '</tr>';
}
echo '</table>';
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
echo'<img src="img/back.png" alt=""/> <a href="/soo/">Сообщества</a><br/>';
include_once '../sys/inc/tfoot.php';
?>